Main Page | Modules | File List | File Members

# The Match Functions
[The Function Definitions]

The Match Callback functions. More...

## Functions
GSbool | MSClient_MatchStarted (GSint iLobbyID, GSint iRoomID)
| Tell the lobby server that the player is starting a match.
GSbool | MSClient_InitMatchResult (GSuint uiMatchID)
| Initialize the librairie score submission system.
GSbool | MSClient_SetMatchResult (GSchar *szAlias, GSuint uiFieldID, GSint iFieldValue)
| Set results for a player in a match.
GSbool | MSClient_SubmitMatchResult (GSint iLobbyID, GSint iRoomID)
| Send the compiled scores of a match to the lobby server.
GSbool | MSClient_UninitMatchResult ()
| Unload the internal score submission system.
GSbool | MSClient_MatchFinished (GSint iLobbyID, GSint iRoomID)
| Tell the lobby server that a match is finished.

## Detailed Description

These functions are for submiting scores for matches. The should be used after receiving the MSClient_MatchStartedCB callback.

## Function Documentation

GSbool MSClient_InitMatchResult | ( | GSuint | uiMatchID | ) |

  | Description: Initialize the librairie score submission system, this has to be called before doing any other score submission-related function call. Note that you must initialise the score submission system prior to any match that will be submitted. This should be call after receiving the MatchStarted message, and the scores should be cleared after being submitted to the lobby server with LobbySend_SubmitMatchResult. Returns: The success of the Function Parameters:
  uiMatchID | The match unique id as returned by CBLobbyRcv_MatchStarted

GSbool MSClient_MatchFinished | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Tell the lobby server that the match you were playing has Finished Everyone in the room has to call this function to confirm the end of the match after submiting the scores Returns: Status of the function call Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_MatchStarted | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Tell the lobby server that the match you are starting a match This should be called after receiving the MSClient_MatchStartedCB callback. Everyone in the room who will be submiting scores for the match has to call this function. Returns: Status of the function call Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_SetMatchResult | ( | GSchar * | szAlias,
|  | GSuint | uiFieldID,
|  | GSint | iFieldValue
| ) |

  | Description: Set the result for a player in a match in the library's score submission system. Each player should set the result for each other player that where in the match including himself. This will insure validity of scores submitted to the LobbyServer. Returns: The success of the Function Parameters:
  szAlias | The alias of the player associated with the results
  uiFieldID | The result field id
  iFieldValue | The actual value that will be set for the specified field

GSbool MSClient_SubmitMatchResult | ( | GSint | iLobbyID,
|  | GSint | iRoomID
| ) |

  | Description: Send the compiled scores of a match to the lobby server for archiving, this will send a message to the lobby server and set the match result on the server-side. You will receive a confirmation of the message sent with the MSClient_SubmitMatchCB callback. Returns: Status of the function call Parameters:
  iLobbyID | The ID of the Lobby Server
  iRoomID | The ID of the Room.

GSbool MSClient_UninitMatchResult | ( |  | ) |

| Description: Unload the internal score submission system previously initialized for a specific match. Must be called after scores has been submitted to the lobby server. Returns: Status of the function call

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team